org.eclipse.ui

## Interface IPathEditorInput

All Superinterfaces:
  IAdaptable, IEditorInput

All Known Subinterfaces:
  IInPlaceEditorInput

All Known Implementing Classes:
  FileEditorInput, FileInPlaceEditorInput

    public interface IPathEditorInput
    extends IEditorInput

This interface defines an editor input based on the local file system path of a file.

Clients implementing this editor input interface should override `Object.equals(Object)` to answer true for two inputs that are the same. The `IWorkbenchPage.openEditor` APIs are dependent on this to find an editor with the same input.

Path-oriented editors should support this as a valid input type, and can allow full read-write editing of its content.

All editor inputs must implement the `IAdaptable` interface; extensions are managed by the platform's adapter manager.

Since:
  3.0
See Also:
  `IPath`

### Method Summary

All Methods Instance Methods Abstract Methods
`IPath` `getPath()` Returns the local file system path of the file underlying this editor input.

### Methods inherited from interface org.eclipse.ui.IEditorInput

`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getPath

    IPath getPath()

Returns the local file system path of the file underlying this editor input.

Returns:
  a local file system path